
package org.drools.scorecards.example.SampleScore;

import static org.drools.core.ruleunit.RuleUnitUtil.getUnitName;
import org.kie.api.runtime.rule.DataSource;
import org.kie.api.runtime.rule.FactHandle;
import org.kie.api.runtime.rule.RuleUnit;
import org.kie.api.pmml.PMML4Result;
import org.kie.api.pmml.PMMLRequestData;
import org.kie.api.pmml.ParameterInfo;
import org.kie.api.pmml.PMML4Data;
import org.kie.pmml.pmml_4_2.model.*;
import org.kie.pmml.pmml_4_2.model.mining.SegmentExecution;
import org.kie.pmml.pmml_4_2.model.datatypes.*;
import java.util.Map;
import java.util.List;
import java.util.ArrayList;




public class SampleScoreScorecardRuleUnit implements RuleUnit {
   private DataSource<PMMLRequestData> request;
   private DataSource<PMML4Data> pmmlData;
   private DataSource<PMML4Result> results;
   private DataSource<SegmentExecution> childModelSegments;
   private DataSource<PMMLRequestData> childModelRequest;
   private DataSource<PMML4Result> childModelResults;
   private DataSource<Object> miningModelPojo;
   
   
   
   
   public SampleScoreScorecardRuleUnit() {
   }
   
   
   public SampleScoreScorecardRuleUnit(DataSource<PMMLRequestData> request, 
                       DataSource<PMML4Data> pmmlData, 
                       DataSource<PMML4Result> results,
                       DataSource<SegmentExecution> childModelSegments,
                       DataSource<PMMLRequestData> childModelRequest,
                       DataSource<PMML4Result> childModelResults,
                       DataSource<Object> miningModelPojo
                       ) {
      this.request = request;
      this.pmmlData = pmmlData;
      this.results = results;
      this.childModelSegments = childModelSegments;
      this.childModelRequest = childModelRequest;
      this.childModelResults = childModelResults;
      this.miningModelPojo = miningModelPojo;
      
      
      
   }
   
   
   public DataSource<PMMLRequestData> getRequest() {
      return request;
   }
   
   public DataSource<PMML4Data> getPmmlData() {
      return pmmlData;
   }
   
   public DataSource<PMML4Result> getResults() {
      return results;
   }
   
   public DataSource<SegmentExecution> getChildModelSegments() {
      return childModelSegments;
   }
   
   public DataSource<PMMLRequestData> getChildModelRequest() {
      return childModelRequest;
   }
   
   public DataSource<PMML4Result> getChildModelResults() {
      return childModelResults;
   }
   
   public DataSource<Object> getMiningModelPojo() {
      return miningModelPojo;
   }
   
   
   
   
   
   @Override
   public void onStart() {
      System.out.println("Starting - "+getUnitName(this));
   }
   
   @Override
   public void onEnd() {
      System.out.println("Ending - "+getUnitName(this));
   }
}
