
package org.kie.pmml.pmml_4_2.model;

import java.util.List;
import java.util.Map;

import org.kie.pmml.pmml_4_2.model.AbstractPMMLData;
import org.kie.api.pmml.PMMLRequestData;
import org.kie.api.pmml.ParameterInfo;


public class SampleScoreScoreCardData extends AbstractPMMLData {
    
    private boolean mResidenceState = true;
    private java.lang.String vResidenceState;
    
    private boolean mValidLicense = true;
    private Boolean vValidLicense;
    
    private boolean mScorecard__calculatedScore = true;
    private Double vScorecard__calculatedScore;
    
    private boolean mOccupation = true;
    private java.lang.String vOccupation;
    
    private boolean mAge = true;
    private Double vAge;
    

    public SampleScoreScoreCardData(String correlationId) {
       super(correlationId);
    }

    public SampleScoreScoreCardData( String correlationId, String modelName ) {
       super(correlationId, modelName);
       
       
       
       
       
       vScorecard__calculatedScore = 0.0; 
       
       
       
       vAge = 0.0; 
       
    }

    public SampleScoreScoreCardData( PMMLRequestData requestData ) {
       super( requestData.getCorrelationId(), requestData.getModelName() );
       Map<String, ParameterInfo> mappedFields = requestData.getMappedRequestParams();
       
       java.lang.String valResidenceState = getMappedParameterValue( mappedFields, "residenceState" );
       if ( valResidenceState != null ) {
          this.mResidenceState = false;
          this.vResidenceState = valResidenceState;
       } else {
          this.mResidenceState = true;
          this.vResidenceState = null;
       }
       
       Boolean valValidLicense = getMappedParameterValue( mappedFields, "validLicense" );
       if ( valValidLicense != null ) {
          this.mValidLicense = false;
          this.vValidLicense = valValidLicense;
       } else {
          this.mValidLicense = true;
          this.vValidLicense = null;
       }
       
       Double valScorecard__calculatedScore = getMappedParameterValue( mappedFields, "scorecard__calculatedScore" );
       if ( valScorecard__calculatedScore != null ) {
          this.mScorecard__calculatedScore = false;
          this.vScorecard__calculatedScore = valScorecard__calculatedScore;
       } else {
          this.mScorecard__calculatedScore = true;
          this.vScorecard__calculatedScore = null;
       }
       
       java.lang.String valOccupation = getMappedParameterValue( mappedFields, "occupation" );
       if ( valOccupation != null ) {
          this.mOccupation = false;
          this.vOccupation = valOccupation;
       } else {
          this.mOccupation = true;
          this.vOccupation = null;
       }
       
       Double valAge = getMappedParameterValue( mappedFields, "age" );
       if ( valAge != null ) {
          this.mAge = false;
          this.vAge = valAge;
       } else {
          this.mAge = true;
          this.vAge = null;
       }
       
    }

    private <T> T getMappedParameterValue(Map<String, ParameterInfo> map, String fieldName) {
       T value = null;
       if ( map.containsKey( fieldName ) ) {
          ParameterInfo pinfo = map.get( fieldName );
          if ( pinfo != null ) {
             value = (T)pinfo.getValue();
          }
       }
       return value;
    }

    
    public java.lang.String getVResidenceState() {
       return this.vResidenceState;
    }

    public void setVResidenceState( java.lang.String residenceState ) {
       this.vResidenceState = residenceState;
    }

    public boolean getMResidenceState() {
       return this.mResidenceState;
    }

    public void setMResidenceState( boolean mResidenceState ) {
       this.mResidenceState = mResidenceState;
    }
    
    public Boolean getVValidLicense() {
       return this.vValidLicense;
    }

    public void setVValidLicense( Boolean validLicense ) {
       this.vValidLicense = validLicense;
    }

    public boolean getMValidLicense() {
       return this.mValidLicense;
    }

    public void setMValidLicense( boolean mValidLicense ) {
       this.mValidLicense = mValidLicense;
    }
    
    public Double getVScorecard__calculatedScore() {
       return this.vScorecard__calculatedScore;
    }

    public void setVScorecard__calculatedScore( Double scorecard__calculatedScore ) {
       this.vScorecard__calculatedScore = scorecard__calculatedScore;
    }

    public boolean getMScorecard__calculatedScore() {
       return this.mScorecard__calculatedScore;
    }

    public void setMScorecard__calculatedScore( boolean mScorecard__calculatedScore ) {
       this.mScorecard__calculatedScore = mScorecard__calculatedScore;
    }
    
    public java.lang.String getVOccupation() {
       return this.vOccupation;
    }

    public void setVOccupation( java.lang.String occupation ) {
       this.vOccupation = occupation;
    }

    public boolean getMOccupation() {
       return this.mOccupation;
    }

    public void setMOccupation( boolean mOccupation ) {
       this.mOccupation = mOccupation;
    }
    
    public Double getVAge() {
       return this.vAge;
    }

    public void setVAge( Double age ) {
       this.vAge = age;
    }

    public boolean getMAge() {
       return this.mAge;
    }

    public void setMAge( boolean mAge ) {
       this.mAge = mAge;
    }
    

    public boolean equals(Object o) {
        return super.equals(o);
    }

    public int hashCode() {
        return super.hashCode();
    }

    @Override
    public String toString() {
       StringBuilder builder = new StringBuilder();
       builder.append("SampleScoreScoreCardDataScoreCardData( correlationId=").append(this.getCorrelationId()).append(", modelName=SampleScore, ");
       
       builder.append(" mResidenceState=").append(mResidenceState).append(", ");
       builder.append(" vResidenceState=").append(vResidenceState).append(", ");
       
       builder.append(" mValidLicense=").append(mValidLicense).append(", ");
       builder.append(" vValidLicense=").append(vValidLicense).append(", ");
       
       builder.append(" mScorecard__calculatedScore=").append(mScorecard__calculatedScore).append(", ");
       builder.append(" vScorecard__calculatedScore=").append(vScorecard__calculatedScore).append(", ");
       
       builder.append(" mOccupation=").append(mOccupation).append(", ");
       builder.append(" vOccupation=").append(vOccupation).append(", ");
       
       builder.append(" mAge=").append(mAge).append(", ");
       builder.append(" vAge=").append(vAge).append(", ");
       
       int last = builder.lastIndexOf(",");
       builder.delete(last,last+1);
       builder.append(")");
       return builder.toString();
    }

}
